# Show approval

Retrieve a single approval

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/approvals/{id}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "u5q"

  - `project` (string, required)
    Project is the project identifier.
    Example: "re"

  - `id` (string, required)
    Example: "5fb0d719-4209-4f87-a2f1-830c06ece0ed"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "ue"

## Response 200 fields (application/json):

  - `actioned_by` (string)
    User that approved/rejected the step
    Example: "John Doe"

  - `actioned_by_email` (string)
    Email of the user that approved/rejected the step
    Example: "john.doe@example.com"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 4867248831762483000

  - `status` (string, required)
    Status of the approval resource
    Example: "Sequi deleniti deserunt deleniti aut voluptas magni."

  - `updated` (integer, required)
    Modified is the unix timestamp at which the resource was last modified in milliseconds.
    Example: 8054623653811577000

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


